Skip to main content

Retrieve tags

You can retrieve tags created in the application using the API.

Request​

GET /company/{companyID}/tags

Run in Postman

Parameters​

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8

Request example​

cURL request
curl -X GET https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/tags
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'

Response​

NameTypeDescription
idstringTag identifier
tag_idintegerPlain tag identifier
company_idintegerPlain company identifier
titlestringTag title
valuesstringPossible tag values (separated by ;)
multiplebooleanWhether the tag can have multiple values
visiblebooleanWhether the tag is visible by default on the candidate profile
creatablebooleanWhether new values can be created for the tag
folderbooleanWhether the tag is used as a folder
typestringcandidates for candidate tags or vacancies for listing tags
positionintegerTag position in the list

Response example​

[{
"id": "7jKJ0Mpz60pXNgxa",
"tag_id": 1174,
"company_id": 99,
"title": "IT Department",
"values": "",
"multiple": false,
"visible": false,
"creatable": false,
"folder": true,
"type": "vacancies",
"position": null,
"tagCandidateRestriction": []
}, {
"id": "vADYjo9mwOdkR0ry",
"tag_id": 1178,
"company_id": 99,
"title": "Languages",
"values": "French;English;Spanish;German;Italian;Chinese",
"multiple": true,
"visible": true,
"creatable": false,
"folder": false,
"type": "candidates",
"position": null,
"tagCandidateRestriction": []
}, {
"id": "5gQayv9L1Qp6LXE4",
"tag_id": 1183,
"company_id": 99,
"title": "Degree",
"values": "High School;Associate;Bachelor;Master",
"multiple": false,
"visible": true,
"creatable": false,
"folder": false,
"type": "candidates",
"position": null,
"tagCandidateRestriction": []
}]